Summary: Sticky Notes for the Gnome Desktop Environment
Name: stickynotes_applet
Version: 1.0.11
Release: 0.dag
License: GPL
Group: User Interface/Desktops
URL: http://loban.caltech.edu/stickynotes/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/home-made/apt/

Source: http://loban.caltech.edu/stickynotes/packages/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

Obsoletes: goats
BuildRequires: scrollkeeper, pkgconfig, libgnome-devel, libgnomecanvas-devel, atk-devel
BuildRequires: libbonoboui-devel, pango-devel, gnome-panel, libgnomeui-devel

%description
An Gnome 2.0 applet that allows you to create, view and manage sticky notes on your desktop.

%prep
%setup

%build
%configure --disable-schemas-install
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%makeinstall
%{__rm} -rf %{buildroot}%{_localstatedir}/scrollkeeper/
%find_lang %{name}

%post
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null
scrollkeeper-update -q

%postun
scrollkeeper-update -q

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%doc %{_datadir}/gnome/help/stickynotes_applet/
%config %{_sysconfdir}/gconf/schemas/*
%{_libexecdir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/omf/*
%{_datadir}/pixmaps/stickynotes_applet/
%{_datadir}/stickynotes_applet/

%changelog
* Thu Feb 20 2003 Dag Wieers <dag@wieers.com> - 1.0.11
- Updated to 1.0.11.

* Tue Jan 14 2003 Dag Wieers <dag@wieers.com> - 1.0.1
- Initial package. (using DAR)
